<?php

namespace Bydedi\Lengow;

interface LengowInterface
{
    /**
     * @return integer
     */
    public function getIdentifiantLengow();

    /**
     * @return array
     */
    public function getIdentifiantsGroupe();

    /**
     * @return Marketplace[]
     */
    public function getMarketplaces();

    /**
     * @param $commande_referer
     * @return CommandeLengow
     */
    public function getCommandeExistante($commande_referer);

    /**
     * @param $data
     * @return mixed
     */
    public function creerCommande($data);


    public function setAdresseRelais($data);
}
